# embedded_component library Null safety

## Classes

DocumentItemInMemoryRepository
EmbeddedComponentFactory
LinkInMemoryRepository
ListedItemInMemoryRepository
SectionInMemoryRepository
TutorialEntryInMemoryRepository

## Functions

documentItemsList(dynamic app, dynamic context, dynamic value, dynamic trigger) → dynamic
linksList(dynamic app, dynamic context, dynamic value, dynamic trigger) → dynamic
listedItemsList(dynamic app, dynamic context, dynamic value, dynamic trigger) → dynamic
sectionsList(dynamic app, dynamic context, dynamic value, dynamic trigger) → dynamic
tutorialEntrysList(dynamic app, dynamic context, dynamic value, dynamic trigger) → dynamic

## Typedefs

DocumentItemListChanged = dynamic Function(List<DocumentItemModel> values)
LinkListChanged = dynamic Function(List<LinkModel> values)
ListedItemListChanged = dynamic Function(List<ListedItemModel> values)
SectionListChanged = dynamic Function(List<SectionModel> values)
TutorialEntryListChanged = dynamic Function(List<TutorialEntryModel> values)